# Copyright (c) 2016, 2021, Oracle and/or its affiliates.  All rights reserved.
# This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.

module OCI
  module Devops
    # Module containing models for requests made to, and responses received from,
    # OCI Devops services
    module Models
    end
  end
end

# Require models
require 'oci/devops/models/absolute_wait_criteria'
require 'oci/devops/models/absolute_wait_criteria_summary'
require 'oci/devops/models/action_type'
require 'oci/devops/models/approval_action'
require 'oci/devops/models/approval_policy'
require 'oci/devops/models/approve_deployment_details'
require 'oci/devops/models/automated_deploy_stage_rollback_policy'
require 'oci/devops/models/backend_set_ip_collection'
require 'oci/devops/models/cancel_deployment_details'
require 'oci/devops/models/change_project_compartment_details'
require 'oci/devops/models/compute_instance_group_blue_green_deploy_stage_execution_progress'
require 'oci/devops/models/compute_instance_group_blue_green_traffic_shift_deploy_stage_execution_progress'
require 'oci/devops/models/compute_instance_group_by_ids_selector'
require 'oci/devops/models/compute_instance_group_by_query_selector'
require 'oci/devops/models/compute_instance_group_canary_approval_deploy_stage_execution_progress'
require 'oci/devops/models/compute_instance_group_canary_deploy_stage_execution_progress'
require 'oci/devops/models/compute_instance_group_canary_traffic_shift_deploy_stage_execution_progress'
require 'oci/devops/models/compute_instance_group_deploy_environment'
require 'oci/devops/models/compute_instance_group_deploy_environment_summary'
require 'oci/devops/models/compute_instance_group_deploy_stage'
require 'oci/devops/models/compute_instance_group_deploy_stage_execution_progress'
require 'oci/devops/models/compute_instance_group_deploy_stage_summary'
require 'oci/devops/models/compute_instance_group_failure_policy'
require 'oci/devops/models/compute_instance_group_failure_policy_by_count'
require 'oci/devops/models/compute_instance_group_failure_policy_by_percentage'
require 'oci/devops/models/compute_instance_group_linear_rollout_policy_by_count'
require 'oci/devops/models/compute_instance_group_linear_rollout_policy_by_percentage'
require 'oci/devops/models/compute_instance_group_rollout_policy'
require 'oci/devops/models/compute_instance_group_selector'
require 'oci/devops/models/compute_instance_group_selector_collection'
require 'oci/devops/models/count_based_approval_policy'
require 'oci/devops/models/create_compute_instance_group_deploy_environment_details'
require 'oci/devops/models/create_compute_instance_group_deploy_stage_details'
require 'oci/devops/models/create_deploy_artifact_details'
require 'oci/devops/models/create_deploy_environment_details'
require 'oci/devops/models/create_deploy_pipeline_deployment_details'
require 'oci/devops/models/create_deploy_pipeline_details'
require 'oci/devops/models/create_deploy_pipeline_redeployment_details'
require 'oci/devops/models/create_deploy_stage_details'
require 'oci/devops/models/create_deployment_details'
require 'oci/devops/models/create_function_deploy_environment_details'
require 'oci/devops/models/create_function_deploy_stage_details'
require 'oci/devops/models/create_invoke_function_deploy_stage_details'
require 'oci/devops/models/create_load_balancer_traffic_shift_deploy_stage_details'
require 'oci/devops/models/create_manual_approval_deploy_stage_details'
require 'oci/devops/models/create_oke_cluster_deploy_environment_details'
require 'oci/devops/models/create_oke_deploy_stage_details'
require 'oci/devops/models/create_project_details'
require 'oci/devops/models/create_single_deploy_stage_deployment_details'
require 'oci/devops/models/create_wait_deploy_stage_details'
require 'oci/devops/models/deploy_artifact'
require 'oci/devops/models/deploy_artifact_collection'
require 'oci/devops/models/deploy_artifact_override_argument'
require 'oci/devops/models/deploy_artifact_override_argument_collection'
require 'oci/devops/models/deploy_artifact_source'
require 'oci/devops/models/deploy_artifact_summary'
require 'oci/devops/models/deploy_environment'
require 'oci/devops/models/deploy_environment_collection'
require 'oci/devops/models/deploy_environment_summary'
require 'oci/devops/models/deploy_pipeline'
require 'oci/devops/models/deploy_pipeline_artifact'
require 'oci/devops/models/deploy_pipeline_artifact_collection'
require 'oci/devops/models/deploy_pipeline_collection'
require 'oci/devops/models/deploy_pipeline_deployment'
require 'oci/devops/models/deploy_pipeline_deployment_summary'
require 'oci/devops/models/deploy_pipeline_environment'
require 'oci/devops/models/deploy_pipeline_environment_collection'
require 'oci/devops/models/deploy_pipeline_parameter'
require 'oci/devops/models/deploy_pipeline_parameter_collection'
require 'oci/devops/models/deploy_pipeline_redeployment'
require 'oci/devops/models/deploy_pipeline_redeployment_summary'
require 'oci/devops/models/deploy_pipeline_stage'
require 'oci/devops/models/deploy_pipeline_stage_collection'
require 'oci/devops/models/deploy_pipeline_summary'
require 'oci/devops/models/deploy_stage'
require 'oci/devops/models/deploy_stage_collection'
require 'oci/devops/models/deploy_stage_execution_progress'
require 'oci/devops/models/deploy_stage_execution_progress_details'
require 'oci/devops/models/deploy_stage_execution_step'
require 'oci/devops/models/deploy_stage_predecessor'
require 'oci/devops/models/deploy_stage_predecessor_collection'
require 'oci/devops/models/deploy_stage_rollback_policy'
require 'oci/devops/models/deploy_stage_summary'
require 'oci/devops/models/deployment'
require 'oci/devops/models/deployment_argument'
require 'oci/devops/models/deployment_argument_collection'
require 'oci/devops/models/deployment_collection'
require 'oci/devops/models/deployment_execution_progress'
require 'oci/devops/models/deployment_summary'
require 'oci/devops/models/function_deploy_environment'
require 'oci/devops/models/function_deploy_environment_summary'
require 'oci/devops/models/function_deploy_stage'
require 'oci/devops/models/function_deploy_stage_execution_progress'
require 'oci/devops/models/function_deploy_stage_summary'
require 'oci/devops/models/generic_deploy_artifact_source'
require 'oci/devops/models/inline_deploy_artifact_source'
require 'oci/devops/models/invoke_function_deploy_stage'
require 'oci/devops/models/invoke_function_deploy_stage_execution_progress'
require 'oci/devops/models/invoke_function_deploy_stage_summary'
require 'oci/devops/models/load_balancer_config'
require 'oci/devops/models/load_balancer_traffic_shift_deploy_stage'
require 'oci/devops/models/load_balancer_traffic_shift_deploy_stage_execution_progress'
require 'oci/devops/models/load_balancer_traffic_shift_deploy_stage_summary'
require 'oci/devops/models/load_balancer_traffic_shift_rollout_policy'
require 'oci/devops/models/manual_approval_deploy_stage'
require 'oci/devops/models/manual_approval_deploy_stage_execution_progress'
require 'oci/devops/models/manual_approval_deploy_stage_summary'
require 'oci/devops/models/no_deploy_stage_rollback_policy'
require 'oci/devops/models/notification_config'
require 'oci/devops/models/ocir_deploy_artifact_source'
require 'oci/devops/models/oke_cluster_deploy_environment'
require 'oci/devops/models/oke_cluster_deploy_environment_summary'
require 'oci/devops/models/oke_deploy_stage'
require 'oci/devops/models/oke_deploy_stage_execution_progress'
require 'oci/devops/models/oke_deploy_stage_summary'
require 'oci/devops/models/operation_status'
require 'oci/devops/models/operation_type'
require 'oci/devops/models/project'
require 'oci/devops/models/project_collection'
require 'oci/devops/models/project_summary'
require 'oci/devops/models/run_pipeline_deploy_stage_execution_progress'
require 'oci/devops/models/run_validation_test_on_compute_instance_deploy_stage_execution_progress'
require 'oci/devops/models/single_deploy_stage_deployment'
require 'oci/devops/models/single_deploy_stage_deployment_summary'
require 'oci/devops/models/sort_order'
require 'oci/devops/models/update_compute_instance_group_deploy_environment_details'
require 'oci/devops/models/update_compute_instance_group_deploy_stage_details'
require 'oci/devops/models/update_deploy_artifact_details'
require 'oci/devops/models/update_deploy_environment_details'
require 'oci/devops/models/update_deploy_pipeline_deployment_details'
require 'oci/devops/models/update_deploy_pipeline_details'
require 'oci/devops/models/update_deploy_pipeline_redeployment_details'
require 'oci/devops/models/update_deploy_stage_details'
require 'oci/devops/models/update_deployment_details'
require 'oci/devops/models/update_function_deploy_environment_details'
require 'oci/devops/models/update_function_deploy_stage_details'
require 'oci/devops/models/update_invoke_function_deploy_stage_details'
require 'oci/devops/models/update_load_balancer_traffic_shift_deploy_stage_details'
require 'oci/devops/models/update_manual_approval_deploy_stage_details'
require 'oci/devops/models/update_oke_cluster_deploy_environment_details'
require 'oci/devops/models/update_oke_deploy_stage_details'
require 'oci/devops/models/update_project_details'
require 'oci/devops/models/update_single_deploy_stage_deployment_details'
require 'oci/devops/models/update_wait_deploy_stage_details'
require 'oci/devops/models/wait_criteria'
require 'oci/devops/models/wait_criteria_summary'
require 'oci/devops/models/wait_deploy_stage'
require 'oci/devops/models/wait_deploy_stage_execution_progress'
require 'oci/devops/models/wait_deploy_stage_summary'
require 'oci/devops/models/work_request'
require 'oci/devops/models/work_request_collection'
require 'oci/devops/models/work_request_error'
require 'oci/devops/models/work_request_error_collection'
require 'oci/devops/models/work_request_log_entry'
require 'oci/devops/models/work_request_log_entry_collection'
require 'oci/devops/models/work_request_resource'
require 'oci/devops/models/work_request_summary'

# Require generated clients
require 'oci/devops/devops_client'
require 'oci/devops/devops_client_composite_operations'

# Require service utilities
require 'oci/devops/util'
